## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToHtmlHeadHandler

### Document::ezcDocumentDocbookToHtmlHeadHandler

### Class ezcDocumentDocbookToHtmlHeadHandler

Visit docbook sectioninfo elements

The sectioninfo elements contain metadata about the document or sections, which are transformed into the respective metadata in the HTML header.

Source for this file: /Document/src/converters/element_visitor/docbook/xhtml/head.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToHtmlBaseHandler
          |
          --ezcDocumentDocbookToHtmlHeadHandler

Version: | //autogen//

### Member Variables

protected array | `$dcHeaderMapping = array( 'abstract' => 'dc.description', 'pubdate' => 'dc.date', 'date' => 'dc.date', 'author' => 'dc.creator', 'publisher' => 'dc.publisher', 'contrib' => 'dc.contributor', 'copyright' => 'dc.rights', )` Element name mapping for meta information in the docbook document to HTML meta element names, using the dublin core extensions for meta elements.
protected array | `$headerMapping = array( 'abstract' => 'description', 'releaseinfo' => 'version', 'pubdate' => 'date', 'date' => 'date', 'author' => 'author', 'publisher' => 'author', )` Element name mapping for meta information in the docbook document to HTML meta element names.

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToHtmlBaseHandler
protected DOMElement | `ezcDocumentDocbookToHtmlBaseHandler::getHead()` Get head of HTML document
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3